{*******************************************************}
{                                                       }
{  VG Library II                                        }
{                                                       }
{  VCL Registration                                     }
{                                                       }
{  (c) 1997, 2001 by Vladimir Gaitanoff                 }
{                                                       }
{*******************************************************}

{$I vg2.inc}
{$D-,L-}

unit vg2VclReg;

interface

procedure Register;

implementation
uses DsgnIntf, SysUtils, Classes, Controls, StdCtrls, Menus, FiltEdit,
  vg2Consts, vg2Tools,  
  vg2Money, vg2PropStore, vg2StdCtrls, vg2Buttons, vg2ListCombo, vg2ExtCtrls, vg2FileCtrls,
  vg2DateCtrls, vg2CalcCtrls, vg2MultiLang,
  vg2VclDsgn, vg2PropStoreDs;

{$R vg2Vcl.dcr }

procedure Register;
begin
  RegisterComponents(SRegTools, [
    Tvg2AppIniFile, Tvg2PropStorage, Tvg2ThreadTimer, Tvg2Thread, Tvg2MoneyString,
    Tvg2TrayIcon, Tvg2FolderMonitor, Tvg2MultiLanguage
  ]);

  RegisterComponents(SRegControls, [
    Tvg2Label, Tvg2Button, Tvg2CheckBox, Tvg2RadioButton, Tvg2Edit, Tvg2SpinEdit, Tvg2CalculatorEdit,
    Tvg2DateTimeEdit, Tvg2FileNameEdit, Tvg2FolderEdit,
    Tvg2Splitter,
    Tvg2SimplePanel, Tvg2AboutPanel, Tvg2Background,
    Tvg2ListBox, Tvg2ComboBox, Tvg2ColorComboBox, Tvg2FontComboBox,
    Tvg2Animator,
    Tvg2DriveComboBox, Tvg2DirectoryListBox, Tvg2FileListBox, Tvg2DirectoryTreeView, Tvg2FilterComboBox

  ]);

  RegisterComponents(SRegMisc, [
    Tvg2RepeatButton, Tvg2SpinButtons, Tvg2DialogButtons,
    Tvg2VersionInfo, Tvg2Launcher, Tvg2LaunchLabel, Tvg2BrowseFolderDialog, Tvg2ReadMailslot, Tvg2WriteMailslot,
    Tvg2MonthCalendar, Tvg2Calculator, Tvg2Clock
  ]);


  RegisterComponentEditor(Tvg2PropStorage, TPropStorageEditor);
  RegisterPropertyEditor(TypeInfo(TStrings), Tvg2PropStorage, 'StoredProps', TStoredPropsProperty);

  RegisterComponentEditor(Tvg2CustomDialog, TCustomDialogEditor);

  RegisterPropertyEditor(TypeInfo(TFileName), Tvg2FolderMonitor, 'FolderName', TDirectoryProperty);

  RegisterComponentEditor(Tvg2CustomEdit, TCustomEditEditor);
  RegisterPropertyEditor(TypeInfo(Tvg2PictureMask), Tvg2CustomEdit, 'Picture', TPictureMaskProperty);

  RegisterComponentEditor(Tvg2Launcher, TLauncherEditor);
  RegisterPropertyEditor(TypeInfo(Tvg2LaunchParams), Tvg2Launcher, 'LaunchParams', TLaunchParamsProperty);

  RegisterComponentEditor(Tvg2MultiLanguage, TMultiLanguageEditor);

  RegisterComponentEditor(Tvg2LaunchLabel, TLauncherEditor);
  RegisterPropertyEditor(TypeInfo(Tvg2LaunchParams), Tvg2LaunchLabel, 'LaunchParams', TLaunchParamsProperty);

  RegisterPropertyEditor(TypeInfo(TFileName), TComponent, 'FileName', TFileNameProperty);
  RegisterPropertyEditor(TypeInfo(TFileName), Tvg2CustomFileNameEdit, 'InitialDir', TDirectoryProperty);

  RegisterPropertyEditor(TypeInfo(TFileName), Tvg2DirectoryTreeView, 'RootDirectory', TDirectoryProperty);
  RegisterPropertyEditor(TypeInfo(string), Tvg2FilterComboBox, 'Filter', TFilterProperty);

  RegisterPropertyEditor(TypeInfo(string), TPersistent, 'Hint', THintProperty);
  RegisterPropertyEditor(TypeInfo(string), TMenuItem, 'Hint', TStringProperty);
  RegisterPropertyEditor(TypeInfo(TCaption), TCustomLabel, 'Caption', THintProperty);
  RegisterPropertyEditor(TypeInfo(TCaption), TButtonControl, 'Caption', THintProperty);

  RegisterPropertyEditor(TypeInfo(string), Tvg2TrayIcon, 'Hint', TStringProperty);
end;

end.
